local t = Def.ActorFrame {};

t[#t+1] = Def.ActorFrame {
	Def.ActorFrame { -- Color
		OnCommand=cmd(addy,-69;decelerate,0.5;addy,69;);
		OffCommand=cmd(smooth,0.3;addx,SCREEN_WIDTH;);
		Def.Quad {
			InitCommand=cmd(horizalign,left;vertalign,top;zoomto,SCREEN_WIDTH,5;x,SCREEN_LEFT;y,SCREEN_TOP+55;diffuse,color("#000000");fadebottom,1.0;diffusealpha,0.6;);
		};
		Def.Quad {
			InitCommand=cmd(horizalign,left;vertalign,top;zoomto,SCREEN_WIDTH,55;x,SCREEN_LEFT;y,SCREEN_TOP;diffuse,color("#3F51B5"););
		};
	};
	
	LoadFont("_roboto 32px") .. {
		Name="HeaderText";
		Text=Screen.String("HeaderText");
		InitCommand=cmd(x,SCREEN_LEFT+15;y,SCREEN_TOP+26;diffuse,color("#E0F7FA");zoom,0.8;horizalign,left;);
		OnCommand=cmd(addx,-20;diffusealpha,0;sleep,0.4;decelerate,0.7;diffusealpha,1;addx,20;);
		OffCommand=cmd(smooth,0.2;addx,20;diffusealpha,0;);
		UpdateScreenHeaderMessageCommand=function(self,param)
			self:settext(param.Header);
		end;
	};
};

return t